API Reference
Reject a consolidation proposal
POST
/
api
/
v1
/
proposals
/
{id}
/
reject
Reject a consolidation proposal
curl --request POST \
--url https://api.3ngram.ai/api/v1/proposals/{id}/reject \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"rationale": "<string>"
}
'import requests
url = "https://api.3ngram.ai/api/v1/proposals/{id}/reject"
payload = { "rationale": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rationale: '<string>'})
};
fetch('https://api.3ngram.ai/api/v1/proposals/{id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
apiKeysessionBearer
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Required string length:
1 - 2000Response
200 - application/json
Success
⌘I
Reject a consolidation proposal
